Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000731 [Piwigo] security feature always 2007.07.31 18:36 2008.06.07 22:22
Reporter rvelices View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version Butterfly 1 Product Version 1.7.1
  Target Version 2.0.0 Product Build
Summary 0000731: Permissions at image level
Description Implement a simple system in order to control permissions at the image level (instead of category only).

Some discussions on the forum:
http://forum.phpwebgallery.net/viewtopic.php?id=10539 [^]
http://forum.phpwebgallery.net/viewtopic.php?id=10679 [^]

- add #images.level (tinyint default 0)
- add #user_infos.image_level (tinyint default 0)

- an image X is visible to the user Y if X.level >= Y.image_level
- the system comes on top of the existing category permissions (e.g. if an image is not visible because of the category permissions, it will not be visible whatever the levels)

example of use:
level 0 = Public
level 1 = Contacts
level 2 = Friends
level 4 = Family
you can put all the holiday pictures in one single category and then set level 4 for those that are private and intendended to be seen by family only
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001942)
rub (developer)
2007.08.03 11:15

Do that with 1 or 2 plugins?
See http://forum.phpwebgallery.net/viewtopic.php?pid=67292#p67292 [^]
(0001974)
rvelices (developer)
2007.09.11 05:16

first version [Subversion] r2084

help files not updated
(0001981)
rvelices (developer)
2007.09.13 03:32

second update (and tentatively last) [Subversion] r2090

- Issue History
Date Modified Username Field Change
2007.07.31 18:36 rvelices New Issue
2007.07.31 18:36 rvelices Status new => assigned
2007.07.31 18:36 rvelices Assigned To => rvelices
2007.07.31 18:36 rvelices browser => any
2007.07.31 18:36 rvelices Web server => Apache 1.3.x
2007.08.02 10:16 rub Issue Monitored: rub
2007.08.03 11:15 rub Note Added: 0001942
2007.09.11 05:16 rvelices Note Added: 0001974
2007.09.13 03:32 rvelices Note Added: 0001981
2007.09.28 01:48 rvelices Status assigned => closed
2007.09.28 01:48 rvelices Resolution open => fixed
2007.09.28 01:48 rvelices Fixed in Version => Butterfly 1
2008.06.07 22:22 plg Target Version => Butterfly


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker